figure('Name','US Phillips curve');
title('US Phillips curve fit');
subplot(3,1,1);
plot(1:nobs, [oo_.SmoothedVariables.PIEF(1:nobs) ...
              oo_.SmoothedVariables.PIEF(1:nobs)-oo_.SmoothedShocks.RES_PIEF(1:nobs)],...
              'LineWidth',2);
a1=gca;
legend('PIEF', 'PIEF Fit',...
       'Location','NorthWest','Orientation','Horizontal');
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
subplot(3,1,2);
plot(1:nobs, oo_.SmoothedShocks.RES_PIEF(1:nobs),'LineWidth',2);
a2=gca;
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
subplot(3,1,3);
a=zeros(nobs, 3);
a(2:nobs,1) = lambdaf1*oo_.SmoothedVariables.E4_PIEF4(2:nobs);
a(2:nobs,2) = (1-lambdaf1)*oo_.SmoothedVariables.PIE4(1:nobs-1);
a(2:nobs,3) = lambdaf2*oo_.SmoothedVariables.Y(1:nobs-1);
ipos = find(a > 0);
apos = zeros(size(a));
apos(ipos) = a(ipos);
ineg = find(a < 0);
aneg = zeros(size(a));
aneg(ineg) = a(ineg);
bar(apos,'stack'); hold on; bar(aneg,'stack');
a3=gca;
hh=legend('PIEF4(4)', 'PIEF4(-1)', 'Y(-1)', ...
          'Location','SouthOutside','Orientation','Horizontal');
set(hh, 'FontSize',6);
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
resize_subplot3(a1,a2,a3,0.40,0.20);
print('-dpdf',[fname '_US_PIE_fit.pdf']);
print('-depsc2',[fname '_US_PIE_fit.eps']);


figure('Name','US IS curve');
title('US IS curve fit');
subplot(3,1,1);
plot(1:nobs, [oo_.SmoothedVariables.YF(1:nobs) ...
              oo_.SmoothedVariables.YF(1:nobs) - oo_.SmoothedShocks.RES_YF(1:nobs)],...
     'LineWidth',2);
a1=gca;
legend('YF', 'YF Fit',...
       'Location','NorthWest','Orientation','Horizontal');
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
subplot(3,1,2);
plot(1:nobs, oo_.SmoothedShocks.RES_YF(1:nobs),'LineWidth',2);
a2=gca;
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
subplot(3,1,3);
a=zeros(nobs, 3);
a(2:nobs,1) = betaf1*oo_.SmoothedVariables.Y(1:nobs-1);
a(2:nobs,2) = betaf2*oo_.SmoothedVariables.E1_YF(2:nobs);
a(2:nobs,3) = -betaf3*(oo_.SmoothedVariables.RRF(1:nobs-1)-oo_.SmoothedVariables.RRF_EQ(1:nobs-1));
ipos = find(a > 0);
apos = zeros(size(a));
apos(ipos) = a(ipos);
ineg = find(a < 0);
aneg = zeros(size(a));
aneg(ineg) = a(ineg);
bar(apos,'stack'); hold on; bar(aneg,'stack');
a3=gca;
hh=legend('YF(-1)', 'YF(+1)', 'RR\_GAP(-1)',...
          'Location','SouthOutside','Orientation','Horizontal');
set(hh, 'FontSize',6);
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
resize_subplot3(a1,a2,a3,0.40,0.20);
print('-dpdf',[fname '_US_Y_fit.pdf']);
print('-depsc2',[fname '_US_Y_fit.eps']);


figure('Name','US Interest rate rule');
title('US RS rule fit');
subplot(3,1,1);
plot(1:nobs, [oo_.SmoothedVariables.RSF(1:nobs)+rrf_eq_ss+2 ...
              oo_.SmoothedVariables.RSF(1:nobs)+rrf_eq_ss+2-oo_.SmoothedShocks.RES_RSF(1:nobs)],...
              'LineWidth',2);
a1=gca;
legend('RSF', 'RSF Fit',...
       'Location','NorthWest','Orientation','Horizontal');
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
subplot(3,1,2);
plot(1:nobs, oo_.SmoothedShocks.RES_RSF(1:nobs),'LineWidth',2);
a2=gca;
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
subplot(3,1,3);
a=zeros(nobs, 4);
a(2:nobs,1) = gammaf1*(oo_.SmoothedVariables.RSF(1:nobs-1)+rrf_eq_ss+2);
a(2:nobs,2) = (1-gammaf1)*(oo_.SmoothedVariables.RRF_EQ(2:nobs)+rrf_eq_ss+2+oo_.SmoothedVariables.E4_PIEF4(2:nobs));
a(2:nobs,3) = (1-gammaf1)*gammaf2*(oo_.SmoothedVariables.E4_PIEF4(2:nobs)-oo_.SmoothedVariables.E4_PIETARF(2:nobs));
a(2:nobs,4) = (1-gammaf1)*gammaf4*(oo_.SmoothedVariables.YF(2:nobs));
ipos = find(a > 0);
apos = zeros(size(a));
apos(ipos) = a(ipos);
ineg = find(a < 0);
aneg = zeros(size(a));
aneg(ineg) = a(ineg);
bar(apos,'stack'); hold on; bar(aneg,'stack');
a3=gca;
hh=legend('RSF(-1)', 'RSF neutral', 'Dev from PIETAR', 'YF',...
          'Location','SouthOutside','Orientation','Horizontal');
set(hh, 'FontSize',6);
set(gca,'XTickMode','manual');
set(gca,'XTickLabelMode','manual');
set(gca,'XTick',xticks);
set(gca,'XTickLabel',xlabels);
grid;
resize_subplot3(a1,a2,a3,0.40,0.20);
print('-dpdf',[fname '_US_RS_fit.pdf']);
print('-depsc2',[fname '_US_RS_fit.eps']);

figure('Name', 'US Inflation and Target');
plot(1:nobs, [oo_.SmoothedVariables.PIEF4(1:nobs) ...
              oo_.SmoothedVariables.PIETARF(1:nobs)+2 ...
              oo_.SmoothedVariables.E4_PIETARF(1:nobs)+2], 'LineWidth',2);
legend('PIEF4','PIETARF','E4\_PIETARF');
grid;
title('US Inflation and Target');
print('-dpdf',[fname '_US_Inflation.pdf']);
print('-depsc2',[fname '_US_Inflation.eps']);
