$prefix = $ARGV[0];

$logname = "$prefix.log";

open $fh, '<', $logname or die "Couldn't open $logname: $!";
$results = '';
$rmses = '';
$reading_m = 0;
while (<$fh>) {
    if (/RESULTS FROM POSTERIOR MAXIMIZATION/) {
	$results = '';
	$results .= $_;
	$reading_m = 1;
    } elsif (/Log data density.*Laplace approximation/) {
	$results .= $_;
	$reading_m = 0;
    } elsif ($reading_m) {
	$results .= $_;
    }
    if (/rmse/) {
	$rmses .= $_;
    }
}

close($fh);

$template_name = 'quick-report.tmpl';

open $tmpl, '<', $template_name or die "Couldn't open $template_name: $!";

$output_name = $prefix . "_report.tex";

print $output_name, "\n";

open $out, '>', $output_name or die "Couldn't open $output_name: $!";

while (<$tmpl>) {
    s/\@parameters\@/$results/g;
    s/\@name\@/$prefix/g;
    s/\@rmse\@/$rmses/g;
    print $out $_;
}

close($out);

$dviname = $prefix . "_report.dvi";
$psname = $prefix . "_report.ps";

system "latex", $output_name;
system "dvips", "-D", "600", $dviname;
system "ps2pdf", $psname;
